=== debian/changelog ===
subtitlecomposer (0.8.0-1build6) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 05 Apr 2024 15:20:19 +0300

subtitlecomposer (0.8.0-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:21 +1100

subtitlecomposer (0.8.0-1build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:14:20 +0000

subtitlecomposer (0.8.0-1build3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:28:27 +0000

subtitlecomposer (0.8.0-1build2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 30 Dec 2023 20:00:43 +0300

subtitlecomposer (0.8.0-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:55:57 +0100

subtitlecomposer (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Fix-compilation-with-ffmpeg5-63.patch: drop, backported from
      upstream
    - upstream_VideoPlayer-Fix-usage-of-deprecated-removed-AVCodec-.patch:
      drop, backported from upstream
    - upstream_Use-non-deprecated-ffmpeg-api.patch: drop, backported from
      upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - add qtdeclarative5-dev, and libssl-dev
    - drop libkf5auth-dev, and kross-dev, no more used
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Nov 2023 22:08:57 +0100
