## subtitlecomposer 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,22 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-project(subtitlecomposer VERSION "0.8.0")
+project(subtitlecomposer VERSION "0.8.1")
 
 if(QT_MAJOR_VERSION EQUAL 6)
 	set(QT_EXTRA_COMPONENTS OpenGLWidgets Core5Compat)
 	set(QT_MIN_VERSION "6.0.0")
 	set(KF_MAJOR_VERSION "6")
 	set(KF_MIN_VERSION "5.240.0")
-	set(CMAKE_CXX_STANDARD 17)
 else()
 	set(QT_EXTRA_COMPONENTS)
 	set(QT_MAJOR_VERSION 5)
 	set(QT_MIN_VERSION "5.9.0")
 	set(KF_MAJOR_VERSION "5")
 	set(KF_MIN_VERSION "5.44.0")
-	set(CMAKE_CXX_STANDARD 11)
 endif()
 
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_STANDARD 17)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
