=== debian/changelog ===
subtitlecomposer (0.8.1-2build3) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 15 Jul 2025 13:08:36 +0300

subtitlecomposer (0.8.1-2build2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 14:13:32 +0100

subtitlecomposer (0.8.1-2build1) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Sep 2024 11:20:19 +0300

subtitlecomposer (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit bc9f0507df17c42746ef5acc06313a7a058391d4,
    commit cba7681e7931d7217cc063dc256939baec83a19e,
    commit 91b414a778cfc8fcee55f72352043aade2582627,
    commit 6de245940eea868762021c5ba7ee4c621404feeb,
    commit 616d5d60572ba57fad45aa139a99eb6a43a73c5f,
    commit 5ad0c6046828f842650de39438afa276902e1c94,
    commit 7959dcc03a3943f551b21bbfeba97e8ae1e3814a,
    commit 1e8f6320e8bb914c5dce50a90c8ae290bb5d9919, and
    commit 98a77fc69fc62b857054f3b1cdbb7a8a03e2ae36 to improve the FFmpeg code,
    and make it compatible with FFmpeg 7+; patches
    upstream_Replaced-deprecated-FFmpeg-channel-layout-code.patch,
    upstream_VideoPlayer-check-AVFMT_NO_BYTE_SEEK-flag-for-seek_b.patch,
    upstream_VideoPlayer-stop-using-AVFrame.pkt_pos.patch,
    upstream_VideoPlayer-remove-usage-of-internal-AVInputFormat.r.patch,
    upstream_VideoPlayer-stop-injecting-stream-side-data-in-packe.patch,
    upstream_VideoPlayer-check-return-of-swr_alloc_set_opts2.patch,
    upstream_StreamProcessor-stop-using-pkt_duration.patch,
    upstream_StreamProcessor-stop-using-AVFrame-duration.patch, and
    upstream_Require-FFmpeg-5.1.5.patch (Closes: #1072453)
    - bump the FFmpeg build dependencies to 5.1.5 accordingly
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Sun, 04 Aug 2024 07:53:20 +0200

subtitlecomposer (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 12 Jun 2024 06:45:49 +0200

subtitlecomposer (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the libqt5opengl5-desktop-dev build dependency, as subtitlecomposer
    0.8.0 should build and work also with OpenGL ES.
  * Update lintian overrides.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 09:21:10 +0200
