=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: subtitlecomposer
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
- pkg-kde-tools (>= 0.15.16),
+ dh-sequence-kf5,
  qtbase5-dev (>= 5.9.0~),
  qtbase5-private-dev (>= 5.9.0~),
- libqt5opengl5-desktop-dev (>= 5.9.0~),
  qtdeclarative5-dev (>= 5.9.0~),
  extra-cmake-modules (>= 1.2.0),
  libkf5codecs-dev (>= 5.44.0~),
@@ -22,12 +20,12 @@
  libkf5textwidgets-dev (>= 5.44.0~),
  libkf5widgetsaddons-dev (>= 5.44.0~),
  libkf5xmlgui-dev (>= 5.44.0~),
- libavcodec-dev,
- libavformat-dev,
- libavutil-dev,
- libswresample-dev,
- libswscale-dev,
- pkg-config,
+ libavcodec-dev (>= 7:5.1.5~),
+ libavformat-dev (>= 7:5.1.5~),
+ libavutil-dev (>= 7:5.1.5~),
+ libswresample-dev (>= 7:5.1.5~),
+ libswscale-dev (>= 7:5.1.5~),
+ pkgconf,
  libicu-dev,
  libopenal-dev,
  libpocketsphinx-dev [amd64 i386],
@@ -36,7 +34,7 @@
 # for tests:
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://subtitlecomposer.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer
