=== debian/changelog ===
subtitlecomposer (0.8.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 0043f4434886c5aabe99705d40bd7f633b8b73e7 to fix
    build with FFmpeg 8; patch
    upstream_Include-libavcodec-avfft.h-only-when-AUDIO_VISUALIZA.patch.
    (Closes: #1115045)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Sep 2025 18:32:35 +0200

subtitlecomposer (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Replaced-deprecated-FFmpeg-channel-layout-code.patch: drop,
      backported from upstream
    - upstream_VideoPlayer-check-AVFMT_NO_BYTE_SEEK-flag-for-seek_b.patch:
      drop, backported from upstream
    - upstream_VideoPlayer-stop-using-AVFrame.pkt_pos.patch: drop, backported
      from upstream
    - upstream_VideoPlayer-remove-usage-of-internal-AVInputFormat.r.patch:
      drop, backported from upstream
    - upstream_VideoPlayer-stop-injecting-stream-side-data-in-packe.patch:
      drop, backported from upstream
    - upstream_VideoPlayer-check-return-of-swr_alloc_set_opts2.patch: drop,
      backported from upstream
    - upstream_StreamProcessor-stop-using-pkt_duration.patch: drop, backported
      from upstream
    - upstream_StreamProcessor-stop-using-AVFrame-duration.patch: drop,
      backported from upstream
    - upstream_Require-FFmpeg-5.1.5.patch: drop, backported from upstream
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, qtbase5-private-dev, qtdeclarative5-dev,
      libkf5codecs-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5i18n-dev, libkf5kio-dev, libkf5sonnet-dev,
      libkf5textwidgets-dev, libkf5widgetsaddons-dev, and libkf5xmlgui-dev
    - add qt6-base-dev, qt6-base-private-dev, qt6-declarative-dev,
      qt6-5compat-dev, libkf6codecs-dev, libkf6config-dev,
      libkf6configwidgets-dev, libkf6coreaddons-dev, libkf6i18n-dev,
      libkf6kio-dev, libkf6sonnet-dev, libkf6textwidgets-dev,
      libkf6widgetsaddons-dev, and libkf6xmlgui-dev
  * Switch the kf5 dh addon to kf6.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DQT_MAJOR_VERSION=6 to cmake to build with Qt 6.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Sep 2025 20:06:08 +0200
