=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
- dh-sequence-kf5,
- qtbase5-dev (>= 5.9.0~),
- qtbase5-private-dev (>= 5.9.0~),
- qtdeclarative5-dev (>= 5.9.0~),
+ dh-sequence-kf6,
+ qt6-base-dev (>= 6.0.0~),
+ qt6-base-private-dev (>= 6.0.0~),
+ qt6-declarative-dev (>= 6.0.0~),
+ qt6-5compat-dev (>= 6.0.0~),
  extra-cmake-modules (>= 1.2.0),
- libkf5codecs-dev (>= 5.44.0~),
- libkf5config-dev (>= 5.44.0~),
- libkf5configwidgets-dev (>= 5.44.0~),
- libkf5coreaddons-dev (>= 5.44.0~),
- libkf5i18n-dev (>= 5.44.0~),
- libkf5kio-dev (>= 5.44.0~),
- libkf5sonnet-dev (>= 5.44.0~),
- libkf5textwidgets-dev (>= 5.44.0~),
- libkf5widgetsaddons-dev (>= 5.44.0~),
- libkf5xmlgui-dev (>= 5.44.0~),
+ libkf6codecs-dev (>= 5.240.0~),
+ libkf6config-dev (>= 5.240.0~),
+ libkf6configwidgets-dev (>= 5.240.0~),
+ libkf6coreaddons-dev (>= 5.240.0~),
+ libkf6i18n-dev (>= 5.240.0~),
+ libkf6kio-dev (>= 5.240.0~),
+ libkf6sonnet-dev (>= 5.240.0~),
+ libkf6textwidgets-dev (>= 5.240.0~),
+ libkf6widgetsaddons-dev (>= 5.240.0~),
+ libkf6xmlgui-dev (>= 5.240.0~),
  libavcodec-dev (>= 7:5.1.5~),
  libavformat-dev (>= 7:5.1.5~),
  libavutil-dev (>= 7:5.1.5~),
@@ -34,8 +35,7 @@
 # for tests:
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://subtitlecomposer.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer.git
