=== debian/watch ===
version=4
https://download.kde.org/stable/subtitlecomposer/subtitlecomposer-([\d\.]+)\.tar\.xz
