## subtitlecomposer 0.8.2+p24.04+vstable+git20250925.1356

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20250925.1356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:56:52 +0000

subtitlecomposer (0.8.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Sep 2025 15:46:14 +0000

subtitlecomposer (0.8.1-1neon) noble; urgency=medium

  * Rebuild for kf6/qt6

 -- Neon CI <neon@kde.org>  Tue, 19 Aug 2025 11:53:06 +0000

subtitlecomposer (0.8.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 15:46:06 +0000

subtitlecomposer (0.8.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Dec 2023 03:35:52 +0000
