=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libicu-dev,
               libopenal-dev,
               libpocketsphinx-dev [amd64 i386 arm64],
               libswresample-dev,
               libswscale-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://subtitlecomposer.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/subtitlecomposer.git
Vcs-Browser: https://invent.kde.org/neon/extras/subtitlecomposer
Maintainer: Neon CI <neon@kde.org>

Package: subtitlecomposer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: text-based subtitle editor
 A text-based subtitles editor supporting basic operations (text, time and
 style edition), realtime previewing and spell checking. Other fancy features
 are delaying all subtitles in the current subtitle file, checking errors or
 creating translations.
 .
 Different backends (GStreamer, MPlayer, MPV, or Phonon) can be used to play
 the realtime video preview which helps to synchronize the subtitles.
