## subtitlecomposer 0.8.2+p24.04+vstable+git20251015.1423

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(subtitlecomposer VERSION "0.8.2")
 
 if(QT_MAJOR_VERSION EQUAL 6)
-	set(QT_EXTRA_COMPONENTS OpenGLWidgets Core5Compat)
+	set(QT_EXTRA_COMPONENTS OpenGLWidgets Core5Compat WidgetsPrivate)
 	set(QT_MIN_VERSION "6.0.0")
 	set(KF_MAJOR_VERSION "6")
 	set(KF_MIN_VERSION "5.240.0")
