=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20251015.1423-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:23:45 +0000
