## subtitlecomposer 0.8.2+p24.04+vstable+git20251211.0056

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20251211.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 00:56:33 +0000
