## subtitlecomposer 0.8.2+p24.04+vstable+git20251231.0257

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20251231.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:57:32 +0000
