=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20260113.0421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 04:21:29 +0000
