## subtitlecomposer 0.8.2+p24.04+vunstable+git20251208.0256

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vunstable+git20251208.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:57:01 +0000
