## subtitlecomposer 0.8.2+p24.04+vunstable+git20251211.0303

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 project(subtitlecomposer VERSION "0.8.2")
