## subtitlecomposer 0.8.2+p24.04+vunstable+git20260101.2220

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vunstable+git20260101.2220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 22:20:09 +0000
