## subtitlecomposer 0.8.2+p24.04+vunstable+git20260113.0221

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vunstable+git20260113.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 02:21:10 +0000
